<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Sheet (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Sheet (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Sheet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/Sheet.html" target="_top">Frames</a></li>
        <li><a href="Sheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface Sheet" class="title">Interface Sheet&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.Iterable&lt;S&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                           title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                            title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlide</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideMaster</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTitleMaster.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTitleMaster</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotes.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFNotes</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotesMaster.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFNotesMaster</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlide</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideLayout.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideLayout</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideMaster.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideMaster</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Sheet&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
           title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S,P&gt;</pre>
                <div class="block">Common parent of Slides, Notes and Masters</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#draw-java.awt.Graphics2D-">draw</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Convenience method to draw a sheet to a graphics context</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                                        title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getBackground--">getBackground</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getFollowMasterGraphics--">getFollowMasterGraphics</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getMasterSheet--">getMasterSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                    <div class="block">Get the placeholder details for the given placeholder type.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getSlideShow--">getSlideShow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSlideShow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSlideShow</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">P</a>&gt;&nbsp;getSlideShow()</pre>
                            </li>
                        </ul>
                        <a name="getFollowMasterGraphics--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFollowMasterGraphics</h4>
                                <pre>boolean&nbsp;getFollowMasterGraphics()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether shapes on the master sheet should be shown. By default master graphics
                                        is turned off.
                                        Sheets that support the notion of master (slide, slideLayout) should override it
                                        and
                                        check this setting in the sheet XML
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMasterSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMasterSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">P</a>&gt;&nbsp;getMasterSheet()</pre>
                            </li>
                        </ul>
                        <a name="getBackground--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBackground</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                                        title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="type parameter in Sheet">P</a>&gt;&nbsp;getBackground()</pre>
                            </li>
                        </ul>
                        <a name="draw-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>void&nbsp;draw(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Convenience method to draw a sheet to a graphics context</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPlaceholderDetails</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a>&nbsp;getPlaceholderDetails(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
                                <div class="block">Get the placeholder details for the given placeholder type. Not all
                                    placeholders are also shapes -
                                    this is especially true for old HSLF slideshows, which notes have header/footers
                                    elements which
                                    aren't shapes.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>placeholder</code> - the placeholder type</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the placeholder details or <code>null</code>, if the placeholder isn't contained
                                        in the sheet
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Sheet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/Sheet.html" target="_top">Frames</a></li>
        <li><a href="Sheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
